Access
Accept a workspace invitation
POST
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
workspaceId*stringLength
1 <= lengthinvitationId*stringLength
1 <= lengthResponse for status 200
application/json- response
workspace*membership*invitation*curl -X POST 'https://postbot.example/api/workspaces/string/invitations/string/accept'Example Response
{
"workspace": {
"id": "string",
"name": "string",
"slug": "string",
"isDefault": true,
"createdAt": 0,
"updatedAt": 0
},
"membership": {
"role": "owner"
},
"invitation": {
"id": "string",
"email": "string",
"role": "string",
"teamId": "string",
"inviterId": "string",
"status": "string",
"expiresAt": 0,
"createdAt": 0
}
}